require 'default:base_magic_sys'

function GetSpellHealAmount(spellName, spellSource)
	Verbose("Magic", "GetSpellHealAmount", spellName, spellSource)
    if(spellSource == nil) then spellSource = this end
	
	--DebugMessage( "scrollObj", mScrollObj )

	local healAmount = 0
	local magicSkill = GetSkillLevel(spellSource,"MagerySkill")
	local lesserHealBonus = 0
	local greaterHealBonus = 0

	if(spellSource:IsPlayer()) then
		lesserHealBonus = lesserHealBonus + GetCachedMobileModByName("HealSpellPlus",spellSource)
		greaterHealBonus = greaterHealBonus + GetCachedMobileModByName("GreaterHealSpellPlus",spellSource)
    end

	-- If they are using a scroll we want to aleast give them half the benefits of the scroll 
	-- if they don't have higher magery skill.
	if( mScrollObj ) then
		magicSkill = math.max( magicSkill, ServerSettings.Combat.ScrollBaseMagerySkill )
	end

	if(spellName == "Heal") then
		healAmount = (magicSkill / 7.5) + (math.floor(math.random(1, 3) + 0.5))
		healAmount = healAmount + lesserHealBonus
	elseif(spellName == "Greaterheal") then
		healAmount = (magicSkill * 0.4) + (math.floor(math.random(1, 10) + 0.5))
		healAmount = healAmount + greaterHealBonus
	else
		DebugMessage("Unknown healing spell "..spellName)
		return 0
	end
	--round to nearest int
	healAmount = math.floor(healAmount + 0.5)

	return healAmount * 4
end