require 'default:base_mission_sys'

RegisterEventHandler(EventType.Message, "EndMission", 
	function(missionId, completed)
		local missionKey = GetMissionKeyFromId(this, missionId)
		if (missionKey	== nil) then return end
		if (completed == true) then
			--Mission completed
			if not(IsDead(this)) then
				this:SystemMessage("Completed Mission", "info")
				this:PlayEffect("HealEffect")

				--Reward
				local amount = math.random(GetMissionTable(missionKey).RewardMin, GetMissionTable(missionKey).RewardMax) or 100
				this:SystemMessage(amount.." coins have been added to your bank for completing the mission.","info")
				CreateCoinStackInBank(this, "coin_purse", amount)

				-- Add our Custom Rewards Here
				GiveMissionRewards(this,missionId)
				
				local playerStats = this:GetObjVar("LifetimePlayerStats") or {}

				if GetMissionTable(missionKey).MissionType == "Harvest" then
					playerStats.HarvestMissionsCompleted = (playerStats.HarvestMissionsCompleted or 0) + 1
				end
				local numberMissionCompleted = playerStats.NumberMissionCompleted or 0
				playerStats.NumberMissionCompleted = numberMissionCompleted + 1
				this:SetObjVar("LifetimePlayerStats",playerStats)

				CheckAchievementStatus(this, "Activity", "BountiesNumber", numberMissionCompleted + 1)
				this:SendMessage("OnDailyRewardTaskComplete","mission")
			else
				this:SystemMessage("Mission Ended", "info")
			end
		else
			this:SystemMessage("Failed Mission \"[ff6347]"..GetMissionTable(missionKey).Title.."[-]\"", "info")
		end
		RemoveMission(this, missionId)
		UpdateMissionUi()
	end)


function GiveMissionRewards(player,missionId)
	local backpackObj = player:GetEquippedObject("Backpack")
	if(backpackObj) then
		-- distrubute your Mission Coin system
	end
end
