require 'boss_spawner.boss_spawner'

-- restart after 7200 seconds (2 hours)
-- this overrides the boss_spawner_config TimerRestartDelay
BossSpawner.Config.TimerRestartDelay = 7200

-- custom BossSpawner table to hold our spawn information
BossSpawner.GiantSteppesCorrupted =
{
	-- the stage to start with when turning on or restarting
	StartingStage = "Stage1",
	Stages =
	{
		Stage1 =
		{
			MonsterList = {"skeleton","zombie",},
			TotalWaves = 4,
			MonstersPerWave = {Base = 1, Bonus = 1},
			Range = {Min = 4, Max = 8},
			StartWaveMessage = "Undead appear around you.",
			NextStage = "Stage2",
		},		
		Stage2 =
		{
			MonsterList = {"skeleton","zombie","skeleton_archer",},
			TotalWaves = 3,
			MonstersPerWave = {Base = 1, Bonus=2},
			Range = {Min = 4, Max = 8},
			StartWaveMessage = "An undead presence begins to fill the air.",
			NextStage = "Stage3",
		},		
		Stage3 =
		{
			MonsterList = {"skeleton","zombie","skeleton_archer","skeleton_mage",},
			TotalWaves = 2,
			MonstersPerWave = {Base = 2, Bonus=3},
			Range = {Min = 4, Max = 8},
			StartWaveMessage = "You feel something approaching from the world of the dead.",
			NextStage = "Stage4"
		},		
		Stage4 =
		{
			MonsterList = {"skeleton_hq",},
			TotalWaves = 1,
			MonstersPerWave = {Base = 1, Bonus=0},
			Range = {Min = 4, Max = 8},
			StartWaveMessage = "An undead champiion appears to destroy you.",
			NextStage = "EndStage"
		},		
	}
}
