MobileEffectLibrary.ChaosMods =
{
	OnEnterState = function(self,root,target,args)
		self.ApplyChaosRegionBuffs(self.ParentObj)
		EndMobileEffect(root)
	end,

	--- this applies buffs to the player who enters the chaos zone
	--@param (GameObject) player - the player entering the chaos zone
	ApplyChaosRegionBuffs = function(player)
    	local regionalName = GetRegionalName(player:GetLoc())
    	local mobileEffectsTable = ChaosZoneHelper.Regions[ServerSettings.WorldName].RegionData[regionalName].MobileModifiers
    	local buffIdTable = {}
    	local mobileModTable = {}
    	for key,value in pairs(mobileEffectsTable) do
        	AddBuffIcon(player,value.Id,value.BuffTitle,value.BuffIcon,value.BuffDescription,false)
        	SetMobileMod(player, value.MobileMod, value.Id, value.Value)
    		table.insert(buffIdTable,value.Id)
    		table.insert(mobileModTable,{Mod=value.MobileMod,Id=value.Id})
    	end
		player:SetObjVar("ChaosZoneBuffIds",buffIdTable)
		player:SetObjVar("ChaosZoneMobileModIds",mobileModTable)
	end	
}