-----------------------------------------------------------------------------
-- CORE
-----------------------------------------------------------------------------
-- Core Version 0.1
-----------------------------------------------------------------------------
-- CRAFTING RULES
-----------------------------------------------------------------------------
-- Skill Gaining (min - max)
-- Lesser -10 - 35
-- Normal 34 - 64
-- Greater 63 - 100
-- Cure 25 - 35
-----------------------------------------------------------------------------
-- MENU CATEGORY TABLE
-----------------------------------------------------------------------------
RecipeCategories.AlchemySkill = 
{
	{
		Name = "Potions",
		Subcategories = 
		{
			{"LesserPotions" ,"Lesser Potions","HealingPotions"},
			{"Potions" ,"Potions","HealingPotions"},
			{"GreaterPotions" ,"Greater Potions","HealingPotions"},
			{"Remedies" ,"Remedies","Storage"},
		},
	},
}
-----------------------------------------------------------------------------
-- RECIPE TABLE
-----------------------------------------------------------------------------
AllRecipes.AlchemySkill = 
{
	-------------------------------------------------------------------------
	-- REMEDIES
	-------------------------------------------------------------------------
	CurePotion = 
	{
		MinLevelToCraft = 25,
		MaxLevelToGain = 35,
		DisplayName = "Cure Potion",
		NeedRecipe = true,
		Description = "A potion that cures poison. ",
		CraftingTemplateFile = "potion_cure",
		Category = "Potions",
		Subcategory = "Remedies",
		Resources = 
		{
			Ginseng = 6,
		},
	},
	-------------------------------------------------------------------------
	-- LESSER
	-------------------------------------------------------------------------
	LesserHealPotion = 
	{
		MinLevelToCraft = -10,
		MaxLevelToGain = 35,
		DisplayName = "Lesser Heal Potion",
		NeedRecipe = true,
		Description = "A potion that restores a small amount of life. ",
		CraftingTemplateFile = "potion_lheal",
		Category = "Potions",
		Subcategory = "LesserPotions",
		Resources = 
		{
			Ginseng = 2,
			Blood = 1,
		},
	},
	LesserManaPotion = 
	{
		MinLevelToCraft = -10,
		MaxLevelToGain = 35,
		DisplayName = "Lesser Mana Potion",
		NeedRecipe = true,
		Description = "A potion that restores a small amount of mana. ",
		CraftingTemplateFile = "potion_lmana",
		Category = "Potions",
		Subcategory = "LesserPotions",
		Resources = 
		{
			LemonGrass = 2,
			Bones = 1,
		},
	},	
	LesserStaminaPotion = 
	{
		MinLevelToCraft = -10,
		MaxLevelToGain = 35,
		DisplayName = "Lesser Stamina Potion",
		NeedRecipe = true,
		Description = "A potion that restores a small amount of stamina. ",
		CraftingTemplateFile = "potion_lstamina",
		Category = "Potions",
		Subcategory = "LesserPotions",
		Resources = 
		{
			Mushrooms = 2,
			Eye = 1,
		},
	},
	-------------------------------------------------------------------------
	-- NORMAL
	-------------------------------------------------------------------------	
	HealPotion = 
	{
		MinLevelToCraft = 34,
		MaxLevelToGain = 64,
		DisplayName = "Heal Potion",
		NeedRecipe = true,
		Description = "A potion that restores a life. ",
		CraftingTemplateFile = "potion_heal",
		Category = "Potions",
		Subcategory = "Potions",
		Resources = 
		{
			Ginseng = 4,
			BeastBlood = 1,
		},
	},
	ManaPotion = 
	{
		MinLevelToCraft = 34,
		MaxLevelToGain = 64,
		DisplayName = "Mana Potion",
		NeedRecipe = true,
		Description = "A potion that restores mana. ",
		CraftingTemplateFile = "potion_mana",
		Category = "Potions",
		Subcategory = "Potions",
		Resources = 
		{
			LemonGrass = 4,
			CursedBones = 1,
		},
	},	
	StaminaPotion = 
	{
		MinLevelToCraft = 34,
		MaxLevelToGain = 64,
		DisplayName = "Stamina Potion",
		NeedRecipe = true,
		Description = "A potion that restores stamina. ",
		CraftingTemplateFile = "potion_stamina",
		Category = "Potions",
		Subcategory = "Potions",
		Resources = 
		{
			Mushrooms = 4,
			SicklyEye = 1,
		},
	},	
	-------------------------------------------------------------------------
	-- GREATER
	-------------------------------------------------------------------------	
	GreaterHealPotion = 
	{
		MinLevelToCraft = 63,
		MaxLevelToGain = 100,
		DisplayName = "Greater Heal Potion",
		NeedRecipe = true,
		Description = "A potion that restores a large amount of life. ",
		CraftingTemplateFile = "potion_gheal",
		Category = "Potions",
		Subcategory = "GreaterPotions",
		Resources = {
			Ginseng = 6,
			VileBlood = 1,
		},
	},
	GreaterManaPotion = 
	{
		MinLevelToCraft = 63,
		MaxLevelToGain = 100,
		DisplayName = "Greater Mana Potion",
		NeedRecipe = true,
		Description = "A potion that restores a large amount of mana. ",
		CraftingTemplateFile = "potion_gmana",
		Category = "Potions",
		Subcategory = "GreaterPotions",
		Resources = 
		{
			LemonGrass = 6,
			EtherealBones = 1,
		},
	},	
	GreaterStaminaPotion = 
	{
		MinLevelToCraft = 63,
		MaxLevelToGain = 100,
		DisplayName = "Greater Stamina Potion",
		NeedRecipe = true,
		Description = "A potion that restores a large amount of stamina. ",
		CraftingTemplateFile = "potion_gstamina",
		Category = "Potions",
		Subcategory = "GreaterPotions",
		Resources = 
		{
			Mushrooms = 6,
			DecrepidEye = 1,
		},
	},
}