-----------------------------------------------------------------------------
-- CORE
-----------------------------------------------------------------------------
-- Core Version 0.1
-----------------------------------------------------------------------------
-- CRAFTING RULES
-----------------------------------------------------------------------------
-- Skill Gaining (min - max)
-- Tier 1 Scroll -10 - 15
-- Tier 2 Scroll 14 - 25
-- Tier 3 Scroll 24 - 35
-- Tier 4 Scroll 34 - 45
-- Tier 5 Scroll 44 - 55
-- Tier 6 Scroll 54 - 65
-- Tier 7 Scroll 64 - 75
-- Tier 8 Scroll 74 - 100
-- Spellbook -10 - 10
-----------------------------------------------------------------------------
-- MENU CATEGORY TABLE
-----------------------------------------------------------------------------
RecipeCategories.InscriptionSkill = 
{
	{
		Name = "Scrolls",
		Subcategories = 
		{
			{"Scrolls" ,"Scrolls","Storage"},
		},
	},
	{
		Name = "Books",
		Subcategories = 
		{
			{"Books" ,"Books","Storage"},
		},
	},
}

-----------------------------------------------------------------------------
-- RECIPE TABLE
-----------------------------------------------------------------------------
AllRecipes.InscriptionSkill = 
{
	-------------------------------------------------------------------------
	-- TIER 1 SCROLLS
	-------------------------------------------------------------------------
	HealScroll = 
	{
		MinLevelToCraft = -10,
		MaxLevelToGain = 15,
		DisplayName = "Heal Scroll",
		NeedRecipe = true,
		Description = "A heal scroll. ",
		CraftingTemplateFile = "lscroll_heal",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = {
			Ginseng = 1,
			FrayedScroll = 1,
		},
	},
	ManaMissileScroll = 
	{
		MinLevelToCraft = -10,
		MaxLevelToGain = 15,
		DisplayName = "Mana Missile Scroll",
		NeedRecipe = true,
		Description = "A mana missile scroll. ",
		CraftingTemplateFile = "lscroll_mana_missile",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = 
		{
			LemonGrass = 1,
			FrayedScroll = 1,
		},
	},		
	-------------------------------------------------------------------------
	-- TIER 2 SCROLLS
	-------------------------------------------------------------------------
	CureScroll = 
	{
		MinLevelToCraft = 14,
		MaxLevelToGain = 25,
		DisplayName = "Cure Scroll",
		NeedRecipe = true,
		Description = "A cure scroll. ",
		CraftingTemplateFile = "lscroll_cure",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = 
		{
			Ginseng = 2,
			FrayedScroll = 1,
		},
	},
	RuinScroll = 
	{
		MinLevelToCraft = 14,
		MaxLevelToGain = 25,
		DisplayName = "Ruin Scroll",
		NeedRecipe = true,
		Description = "A ruin scroll. ",
		CraftingTemplateFile = "lscroll_ruin",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = 
		{
			LemonGrass = 2,
			FrayedScroll = 1,
		},
	},	
	-------------------------------------------------------------------------
	-- TIER 3 SCROLLS
	-------------------------------------------------------------------------
	FireballScroll = 
	{
		MinLevelToCraft = 24,
		MaxLevelToGain = 35,
		DisplayName = "Fireball Scroll",
		NeedRecipe = true,
		Description = "a fireball scroll. ",
		CraftingTemplateFile = "lscroll_fireball",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = 
		{
			LemonGrass = 3,
			FrayedScroll = 1,
		},
	},
	PoisonScroll = 
	{
		MinLevelToCraft = 24,
		MaxLevelToGain = 35,
		DisplayName = "Poison Scroll",
		NeedRecipe = true,
		Description = "A poison scroll. ",
		CraftingTemplateFile = "lscroll_poison",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = 
		{
			Mushrooms = 3,
			FrayedScroll = 1,
		},
	},
	TeleportScroll = 
	{
		MinLevelToCraft = 24,
		MaxLevelToGain = 35,
		DisplayName = "Teleport Scroll",
		NeedRecipe = true,
		Description = "A teleport scroll. ",
		CraftingTemplateFile = "lscroll_teleport",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = 
		{
			Ginseng = 3,
			FrayedScroll = 1,
		},
	},

	-------------------------------------------------------------------------
	-- TIER 4 SCROLLS
	-------------------------------------------------------------------------
	GreaterHealScroll = 
	{
		MinLevelToCraft = 34,
		MaxLevelToGain = 45,
		DisplayName = "Greater Heal Scroll",
		NeedRecipe = true,
		Description = "A greater heal scroll. ",
		CraftingTemplateFile = "lscroll_greater_heal",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = 
		{
			Ginseng = 2,
			FineScroll = 1,
		},
	},
	LightningScroll = 
	{
		MinLevelToCraft = 34,
		MaxLevelToGain = 45,
		DisplayName = "Lightning Scroll",
		NeedRecipe = true,
		Description = "A lightning scroll. ",
		CraftingTemplateFile = "lscroll_lightning",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = 
		{
			Moss = 2,
			FineScroll = 1,
		},
	},
	-------------------------------------------------------------------------
	-- TIER 5 SCROLLS
	-------------------------------------------------------------------------
	FrostScroll = 
	{
		MinLevelToCraft = 44,
		MaxLevelToGain = 55,
		DisplayName = "Frost Scroll",
		NeedRecipe = true,
		Description = "A frost scroll. ",
		CraftingTemplateFile = "lscroll_frost",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = 
		{
			Moss = 3,
			FineScroll = 1,
		},
	},
	MarkScroll = 
	{
		MinLevelToCraft = 44,
		MaxLevelToGain = 55,
		DisplayName = "Mark Scroll",
		NeedRecipe = true,
		Description = "A mark scroll. ",
		CraftingTemplateFile = "lscroll_mark",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = 
		{
			Moss = 3,
			FineScroll = 1,
		},
	},
	WallOfFireScroll = 
	{
		MinLevelToCraft = 44,
		MaxLevelToGain = 55,
		DisplayName = "Wall of Fire Scroll",
		NeedRecipe = true,
		Description = "A wall of fire scroll. ",
		CraftingTemplateFile = "lscroll_walloffire",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = 
		{
			LemonGrass = 3,
			FineScroll = 1,
		},
	},		
	-------------------------------------------------------------------------
	-- TIER 6 SCROLLS
	-------------------------------------------------------------------------
	BombardmentScroll = 
	{
		MinLevelToCraft = 54,
		MaxLevelToGain = 65,
		DisplayName = "Rock Bombardment Scroll",
		NeedRecipe = true,
		Description = "A rock bombardment scroll. ",
		CraftingTemplateFile = "lscroll_bombardment",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = 
		{
			Mushrooms = 4,
			FineScroll = 1,
		},
	},	
	CloakScroll = 
	{
		MinLevelToCraft = 54,
		MaxLevelToGain = 65,
		DisplayName = "Cloak Scroll",
		NeedRecipe = true,
		Description = "A cloak scroll. ",
		CraftingTemplateFile = "lscroll_cloak",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = 
		{
			Mushrooms = 4,
			FineScroll = 1,
		},
	},
	EnergyBoltScroll = 
	{
		MinLevelToCraft = 54,
		MaxLevelToGain = 65,
		DisplayName = "Energy Bolt Scroll",
		NeedRecipe = true,
		Description = "A energy bolt scroll. ",
		CraftingTemplateFile = "lscroll_electricbolt",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = 
		{
			Moss = 4,
			FineScroll = 1,
		},
	},	
	-------------------------------------------------------------------------
	-- TIER 7 SCROLLS
	-------------------------------------------------------------------------
	MeteorScroll = 
	{
		MinLevelToCraft = 64,
		MaxLevelToGain = 75,
		DisplayName = "Meteor Scroll",
		NeedRecipe = true,
		Description = "A meteor scroll. ",
		CraftingTemplateFile = "lscroll_meteor",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = 
		{
			LemonGrass = 3,
			AncientScroll = 1,
		},
	},
	-------------------------------------------------------------------------
	-- TIER 8 SCROLLS
	-------------------------------------------------------------------------
	EarthquakeScroll = 
	{
		MinLevelToCraft = 74,
		MaxLevelToGain = 100,
		DisplayName = "Earthquake Scroll",
		NeedRecipe = true,
		Description = "A earthquake scroll. ",
		CraftingTemplateFile = "lscroll_earthquake",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = 
		{
			LemonGrass = 5,
			AncientScroll = 1,
		},
	},	
	ResurrectScroll = 
	{
		MinLevelToCraft = 74,
		MaxLevelToGain = 100,
		DisplayName = "Resurrection Scroll",
		NeedRecipe = true,
		Description = "A resurrection scroll. ",
		CraftingTemplateFile = "lscroll_resurrect",
		Category = "Scrolls",
		Subcategory = "Scrolls",
		Resources = 
		{
			Ginseng = 5,
			AncientScroll = 1,
		},
	},
	-------------------------------------------------------------------------
	-- BOOKS
	-------------------------------------------------------------------------
	Spellbook = 
	{
		MinLevelToCraft = -10,
		MaxLevelToGain = 10,
		DisplayName = "Spellbook",
		NeedRecipe = true,
		CraftingTemplateFile = "spellbook",
		Description = "An empty spellbook. ",
		Category = "Books",
		Subcategory = "Books",
		Resources = 
		{
			FrayedScroll = 20,
		},
	},	



}