-----------------------------------------------------------------------------
-- CORE
-----------------------------------------------------------------------------
-- Core Version 0.1
-----------------------------------------------------------------------------
-- CRAFTING RULES
-----------------------------------------------------------------------------
-- Skill Gaining (min - max)
-- weapons 0 - 40
-- chain   10 - 50
-- shields 20 - 40
-- scale   25 - 65
-- plate   40 - 80

-----------------------------------------------------------------------------
-- MENU CATEGORY TABLE
-----------------------------------------------------------------------------
RecipeCategories.MetalsmithSkill = 
{
	{
		Name = "Resources",
		Subcategories = 
		{
			{"Ingots","Ingots","Materials1"},
		},
	},	
	{
		Name = "Weapons",
		Subcategories = 
		{
			{"Slashing","Slashing","Slashing"},
			{"Bashing","Bashing","Bashing"},
			{"Piercing","Piercing","Piercing"},
			{"Polearms","Polearms","Bones"},
		},
	},	
	{
		Name = "Armor",
		Subcategories = 
		{
			{"Head",},
			{"Legs",},
			{"Torso",},
		},
	},
	{
		Name = "Shields",
		Subcategories = 
		{
			{"Shields","Shields","Shield"},
		},
	},	
	{ 
		Name = "Tools",
		Subcategories = 
		{
			{"Tools",},
		},
	},
	{
		Name = "Jewelry",
		Subcategories = 
		{
			{"Diamond","Diamond Jewelry","Crystals"},
			{"Emerald","Emerald Jewelry","Crystals"},
			{"Ruby","Ruby Jewelry","Crystals"},
			{"Sapphire","Sapphire Jewelry","Crystals"},
			{"Topaz","Topaz Jewelry","Crystals"},
		},
	},	
}

-----------------------------------------------------------------------------
-- RECIPE TABLE
-----------------------------------------------------------------------------
AllRecipes.MetalsmithSkill = 
{
	-------------------------------------------------------------------------
	-- MATERIALS
	-------------------------------------------------------------------------
	Iron = 
	{
		MinLevelToCraft = -1,
		MaxLevelToGain = 20,
		DisplayName = "Iron",
		CraftingTemplateFile = "resource_iron",
		Description = "Iron that has been cast into an ingot, ready to be shaped into weapons, armor and tools.",
		ItemType = "ResourceClass",
		Category = "Resources",
		Subcategory = "Ingots",
		NeedRecipe = true,
		CanSalvage = false,
		Resources = 
		{
			IronOre = 1,
		},
	},
	EnchantedIron = 
	{
		MinLevelToCraft = 48,
		MaxLevelToGain = 50,
		DisplayName = "Enchanted Iron",
		CraftingTemplateFile = "resource_iron_enchanted",
		Description = "Encanted Iron that has been cast into an enchanted ingot, ready to be shaped into magical weapons, armor and tools.",
		ItemType = "ResourceClass",
		Category = "Resources",
		Subcategory = "Ingots",
		NeedRecipe = true,
		CanSalvage = false,
		Resources = 
		{
			Iron = 1,
			Essence = 10,
		},
	},
	-------------------------------------------------------------------------
	-- WEAPONS
	-------------------------------------------------------------------------
	Dagger = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Dagger",
		CraftingTemplateFile = "weapon_dagger",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Piercing",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 3 },
			EnchantedIron = { EnchantedIron = 3, Essence = 5, },
		},
	},
	Kryss = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Kryss",
		CraftingTemplateFile = "weapon_kryss",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Piercing",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 4 },
			EnchantedIron = { EnchantedIron = 4, Essence = 5, },
		},
	},
	Poniard = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Poniard",
		CraftingTemplateFile = "weapon_poniard",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Piercing",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 3 },
			EnchantedIron = { EnchantedIron = 3, Essence = 5, },
		},
	},
	BoneDagger = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Bone Dagger",
		CraftingTemplateFile = "weapon_bone_dagger",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Piercing",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 4 },
			EnchantedIron = { EnchantedIron = 4, Essence = 5, },
		},
	},
	Longsword = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Longsword",
		CraftingTemplateFile = "weapon_longsword",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Slashing",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 4 },
			EnchantedIron = { EnchantedIron = 4, Essence = 5, },
		},
	},
	Broadsword = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Broadsword",
		CraftingTemplateFile = "weapon_broadsword",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Slashing",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 4 },
			EnchantedIron = { EnchantedIron = 4, Essence = 5, },
		},
	},
	Saber = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Saber",
		CraftingTemplateFile = "weapon_saber",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Slashing",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 3 },
			EnchantedIron = { EnchantedIron = 3, Essence = 5, },
		},
	},
	Katana = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Katana",
		CraftingTemplateFile = "weapon_katana",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Slashing",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 4 },
			EnchantedIron = { EnchantedIron = 4, Essence = 5, },
		},
	},
	Mace = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Mace",
		CraftingTemplateFile = "weapon_mace",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Bashing",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 5 },
			EnchantedIron = { EnchantedIron = 5, Essence = 5, },
		},
	},
	Hammer = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Hammer",
		CraftingTemplateFile = "weapon_hammer",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Bashing",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 5 },
			EnchantedIron = { EnchantedIron = 5, Essence = 5, },
		},
	},
	Maul = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Maul",
		CraftingTemplateFile = "weapon_maul",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Bashing",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 5 },
			EnchantedIron = { EnchantedIron = 5, Essence = 5, },
		},
	},
	WarMace = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "War Mace",
		CraftingTemplateFile = "weapon_war_mace",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Bashing",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 6 },
			EnchantedIron = { EnchantedIron = 6, Essence = 5, },
		},
	},
	Warhammer = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Warhammer",
		CraftingTemplateFile = "weapon_warhammer",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Bashing",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 8 },
			EnchantedIron = { EnchantedIron = 8, Essence = 5, },
		},
	},
	Pitchfork = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Pitchfork",
		CraftingTemplateFile = "weapon_warfork",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Polearms",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 4 },
			EnchantedIron = { EnchantedIron = 4, Essence = 5, },
		},
	},
	Voulge = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Voulge",
		CraftingTemplateFile = "weapon_voulge",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Polearms",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 5 },
			EnchantedIron = { EnchantedIron = 5, Essence = 5, },
		},
	},
	Spear = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Spear",
		CraftingTemplateFile = "weapon_spear",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Polearms",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 5 },
			EnchantedIron = { EnchantedIron = 5, Essence = 5, },
		},
	},
	Halberd = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Halberd",
		CraftingTemplateFile = "weapon_halberd",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Polearms",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 5 },
			EnchantedIron = { EnchantedIron = 5, Essence = 5, },
		},
	},
	LargeAxe = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Large Axe",
		CraftingTemplateFile = "weapon_largeaxe",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Slashing",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 6 },
			EnchantedIron = { EnchantedIron = 6, Essence = 5, },
		},
	},
	GreatAxe = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 40,
		DisplayName = "Great Axe",
		CraftingTemplateFile = "weapon_greataxe",
		ItemType = "WeaponClass",
		CanImprove = true,
		Category = "Weapons",
		Subcategory = "Slashing",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 8 },
			EnchantedIron = { EnchantedIron = 8, Essence = 5, },
		},
	},
	-------------------------------------------------------------------------
	-- ARMOR
	-------------------------------------------------------------------------
	ChainHelm = 
	{
		MinLevelToCraft = 10,
		MaxLevelToGain = 50,
		DisplayName = "Chain Helm",
		CraftingTemplateFile = "armor_chain_helm",
		Description = "Chain Helms are very heavy armor pieces protecting a user's head. They absorb a massive amount of damage at the cost of agility.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Armor",
		Subcategory = "Head",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 8 },
			EnchantedIron = { EnchantedIron = 8, Essence = 5, },
		},
	},
	ChainLeggings = 
	{
		MinLevelToCraft = 10,
		MaxLevelToGain = 50,
		DisplayName = "Chain Leggings",
		CraftingTemplateFile = "armor_chain_leggings",
		Description = "Chain Leggings are very heavy armor pieces protecting a user's head. They absorb a massive amount of damage at the cost of agility.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Armor",
		Subcategory = "Legs",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 12 },
			EnchantedIron = { EnchantedIron = 12, Essence = 5, },
		},
	},
	ChainTunic = 
	{
		MinLevelToCraft = 10,
		MaxLevelToGain = 50,
		DisplayName = "Chain Tunic",
		CraftingTemplateFile = "armor_chain_tunic",
		Description = "Chain Tunics are very heavy armor pieces protecting a user's torso.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Armor",
		Subcategory = "Torso",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 16 },
			EnchantedIron = { EnchantedIron = 16, Essence = 5, },
		},
	},
	ScaleHelm = 
	{
		MinLevelToCraft = 25,
		MaxLevelToGain = 65,
		DisplayName = "Scale Helm",
		CraftingTemplateFile = "armor_scale_helm",
		Description = "Scale Helms are very heavy armor pieces protecting a user's head.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Armor",
		Subcategory = "Head",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 10 },
			EnchantedIron = { EnchantedIron = 10, Essence = 5, },
		},
	},
	ScaleLeggings = 
	{
		MinLevelToCraft = 25,
		MaxLevelToGain = 65,
		DisplayName = "Scale Leggings",
		CraftingTemplateFile = "armor_scale_leggings",
		Description = "Scale leggings are very heavy armor pieces protecting a user's legs.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Armor",
		Subcategory = "Legs",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 14 },
			EnchantedIron = { EnchantedIron = 14, Essence = 5, },
		},
	},
	ScaleTunic = 
	{
		MinLevelToCraft = 25,
		MaxLevelToGain = 65,
		DisplayName = "Scale Tunic",
		CraftingTemplateFile = "armor_scale_tunic",
		Description = "Scale tunics are very heavy armor pieces protecting a user's torso.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Armor",
		Subcategory = "Torso",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 18 },
			EnchantedIron = { EnchantedIron = 18, Essence = 5, },
		},
	},
	FullPlateHelm = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 80,
		DisplayName = "Full Plate Helm",
		CraftingTemplateFile = "armor_fullplate_helm",
		Description = "Full plate helms are very heavy armor pieces protecting a user's head.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Armor",
		Subcategory = "Head",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 12 },
			EnchantedIron = { EnchantedIron = 12, Essence = 5, },
		},
	},
	FullPlateLeggings = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 80,
		DisplayName = "Full Plate Leggings",
		CraftingTemplateFile = "armor_fullplate_leggings",
		Description = "Full plate leggings are very heavy armor pieces protecting a user's legs.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Armor",
		Subcategory = "Legs",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 16 },
			EnchantedIron = { EnchantedIron = 16, Essence = 5, },
		},
	},
	FullPlateTunic = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 80,
		DisplayName = "Full Plate Tunic",
		CraftingTemplateFile = "armor_fullplate_tunic",
		Description = "Full plate tunics are very heavy armor pieces protecting a user's torso.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Armor",
		Subcategory = "Torso",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 20 },
			EnchantedIron = { EnchantedIron = 20, Essence = 5, },
		},
	},
	-------------------------------------------------------------------------
	-- TOOLS
	-------------------------------------------------------------------------			
	MiningPick = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 10,
		DisplayName = "Mining Pick",
		CraftingTemplateFile = "tool_mining_pick",
		ItemType = "HarvestToolClass",
		Description = "A mining pick. Can be used to mine rocks for ores, minerals, gems. Can be used in combat.",
		NeedRecipe = true,
		Category = "Tools",
		Subcategory = "Tools",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = 3,
		},
	},
	Lockpick = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 10,
		DisplayName = "Lockpicks",
		Description = "Used to pick locks.",
		NeedRecipe = true,
		CraftingTemplateFile = "tool_lockpick",
		Category = "Tools",
		Subcategory = "Tools",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = 1,
		},
	},
	Shovel = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 10,
		DisplayName = "Shovel",
		CraftingTemplateFile = "tool_shovel",
		ItemType = "HarvestToolClass",
		Description = "A tool used for digging. Can be used to uncover buried items.",
		NeedRecipe = true,
		Category = "Tools",
		Subcategory = "Tools",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = 2,
		},
	},
	HuntingKnife = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 10,
		DisplayName = "Hunting Knife",
		CraftingTemplateFile = "tool_hunting_knife",
		ItemType = "HarvestToolClass",
		Description = "A tool used for carving animal meats and hides.",
		NeedRecipe = true,
		Category = "Tools",
		Subcategory = "Tools",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = 1,
		},
	},	
	Hatchet = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 10,
		DisplayName = "Hatchet",
		CraftingTemplateFile = "tool_hatchet",
		Description = "A tool used for cutting down trees. Can be used in combat.",
		ItemType = "HarvestToolClass",
		NeedRecipe = true,
		Category = "Tools",
		Subcategory = "Tools",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = 2,
		},
	},
	EngravingTool = 
	{
		MinLevelToCraft = 0,
		MaxLevelToGain = 10,
		DisplayName = "Engraving Tool",
		CraftingTemplateFile = "tool_engraving",
		Description = "A engraving tool.",
		ItemType = "HarvestToolClass",
		NeedRecipe = true,
		Category = "Tools",
		Subcategory = "Tools",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = 1,
		},
	},
	-------------------------------------------------------------------------
	-- SHIELDS
	-------------------------------------------------------------------------
	BucklerShield = 
	{
		MinLevelToCraft = 20,
		MaxLevelToGain = 40,
		DisplayName = "Buckler",
		CraftingTemplateFile = "shield_buckler",
		ItemType = "ArmorClass",
		CanImprove = true,
		Category = "Shields",
		Subcategory = "Shields",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 10 },
			EnchantedIron = { EnchantedIron = 10, Essence = 5, },
		},
	},	
	DragonShield = 
	{
		MinLevelToCraft = 20,
		MaxLevelToGain = 40,
		DisplayName = "Dragon Shield",
		CraftingTemplateFile = "shield_dragon",
		ItemType = "ArmorClass",
		CanImprove = true,
		Category = "Shields",
		Subcategory = "Shields",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 10 },
			EnchantedIron = { EnchantedIron = 10, Essence = 5, },
		},
	},	
	KiteShield = 
	{
		MinLevelToCraft = 20,
		MaxLevelToGain = 40,
		DisplayName = "Kite Shield",
		CraftingTemplateFile = "shield_kite",
		ItemType = "ArmorClass",
		CanImprove = true,
		Category = "Shields",
		Subcategory = "Shields",
		NeedRecipe = true,
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 10 },
			EnchantedIron = { EnchantedIron = 10, Essence = 5, },
		},
	},
	-------------------------------------------------------------------------
	-- NECKLACES
	-------------------------------------------------------------------------	
	DiamondCollar = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Diamond Collar",
		CraftingTemplateFile = "necklace_diamond_collar",
		Description = "Diamond Collars are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Diamond",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Diamond = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Diamond = 1 },
		},
	},		
	DiamondSatour = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Diamond Satour",
		CraftingTemplateFile = "necklace_diamond_satour",
		Description = "Diamond Satours are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Diamond",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Diamond = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Diamond = 1 },
		},
	},		
	DiamondLavaleir = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Diamond Lavaleir",
		CraftingTemplateFile = "necklace_diamond_lavaleir",
		Description = "Diamond Lavaleir are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Diamond",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Diamond = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Diamond = 1 },
		},
	},		
	EmeraldCollar = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Emerald Collar",
		CraftingTemplateFile = "necklace_emerald_collar",
		Description = "Emerald Collars are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Emerald",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Emerald = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Emerald = 1 },
		},
	},		
	EmeraldSatour = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Emerald Satour",
		CraftingTemplateFile = "necklace_emerald_satour",
		Description = "Emerald Satours are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Emerald",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Emerald = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Emerald = 1 },
		},
	},		
	EmeraldLavaleir = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Emerald Lavaleir",
		CraftingTemplateFile = "necklace_emerald_lavaleir",
		Description = "Emerald Lavaleir are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Emerald",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Emerald = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Emerald = 1 },
		},
	},		
	RubyCollar = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Ruby Collar",
		CraftingTemplateFile = "necklace_ruby_collar",
		Description = "Ruby Collars are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Ruby",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Ruby = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Ruby = 1 },
		},
	},		
	RubySatour = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Ruby Satour",
		CraftingTemplateFile = "necklace_ruby_satour",
		Description = "Ruby Satours are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Ruby",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Ruby = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Ruby = 1 },
		},
	},		
	RubyLavaleir = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Ruby Lavaleir",
		CraftingTemplateFile = "necklace_ruby_lavaleir",
		Description = "Ruby Lavaleir are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Ruby",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Ruby = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Ruby = 1 },
		},
	},
	SapphireCollar = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Sapphire Collar",
		CraftingTemplateFile = "necklace_sapphire_collar",
		Description = "Sapphire Collars are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Sapphire",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Sapphire = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Sapphire = 1 },
		},
	},		
	SapphireSatour = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Sapphire Satour",
		CraftingTemplateFile = "necklace_sapphire_satour",
		Description = "Sapphire Satours are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Sapphire",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Sapphire = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Sapphire = 1 },
		},
	},		
	SapphireLavaleir = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Sapphire Lavaleir",
		CraftingTemplateFile = "necklace_sapphire_lavaleir",
		Description = "Sapphire Lavaleir are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Sapphire",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Sapphire = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Sapphire = 1 },
		},
	},
	TopazCollar = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Topaz Collar",
		CraftingTemplateFile = "necklace_topaz_collar",
		Description = "Topaz Collars are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Topaz",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Topaz = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Topaz = 1 },
		},
	},		
	TopazSatour = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Topaz Satour",
		CraftingTemplateFile = "necklace_topaz_satour",
		Description = "Topaz Satours are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Topaz",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Topaz = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Topaz = 1 },
		},
	},		
	TopazLavaleir = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Topaz Lavaleir",
		CraftingTemplateFile = "necklace_topaz_lavaleir",
		Description = "Topaz Lavaleir are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Topaz",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Topaz = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Topaz = 1 },
		},
	},						
	-------------------------------------------------------------------------
	-- RINGS
	-------------------------------------------------------------------------	
	DiamondEstae = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Diamond Esate",
		CraftingTemplateFile = "ring_diamond_estate",
		Description = "Diamond Esates are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Diamond",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Diamond = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Diamond = 1 },
		},
	},		
	DiamondSignet = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Diamond Signet",
		CraftingTemplateFile = "ring_diamond_signet",
		Description = "Diamond Signet are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Diamond",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Diamond = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Diamond = 1 },
		},
	},		
	DiamondSideStone = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Diamond Sidestone",
		CraftingTemplateFile = "ring_diamond_side_stone",
		Description = "Diamond Side Stones are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Diamond",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Diamond = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Diamond = 1 },
		},
	},
	EmeraldEstae = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Emerald Esate",
		CraftingTemplateFile = "ring_emerald_estate",
		Description = "Emerald Esates are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Emerald",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Emerald = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Emerald = 1 },
		},
	},		
	EmeraldSignet = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Emerald Signet",
		CraftingTemplateFile = "ring_emerald_signet",
		Description = "Emerald Signet are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Emerald",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Emerald = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Emerald = 1 },
		},
	},		
	EmeraldSideStone = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Emerald Sidestone",
		CraftingTemplateFile = "ring_emerald_side_stone",
		Description = "Emerald Side Stones are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Emerald",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Emerald = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Emerald = 1 },
		},
	},
	RubyEstae = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Ruby Esate",
		CraftingTemplateFile = "ring_ruby_estate",
		Description = "Ruby Esates are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Ruby",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Ruby = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Ruby = 1 },
		},
	},		
	RubySignet = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Ruby Signet",
		CraftingTemplateFile = "ring_ruby_signet",
		Description = "Ruby Signet are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Ruby",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Ruby = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Ruby = 1 },
		},
	},		
	RubySideStone = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Ruby Sidestone",
		CraftingTemplateFile = "ring_ruby_side_stone",
		Description = "Ruby Side Stones are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Ruby",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Ruby = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Ruby = 1 },
		},
	},
	SapphireEstae = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Sapphire Esate",
		CraftingTemplateFile = "ring_sapphire_estate",
		Description = "Sapphire Esates are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Sapphire",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Sapphire = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Sapphire = 1 },
		},
	},		
	SapphireSignet = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Sapphire Signet",
		CraftingTemplateFile = "ring_sapphire_signet",
		Description = "Sapphire Signet are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Sapphire",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Sapphire = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Sapphire = 1 },
		},
	},		
	SapphireSideStone = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Sapphire Sidestone",
		CraftingTemplateFile = "ring_sapphire_side_stone",
		Description = "Sapphire Side Stones are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Sapphire",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Sapphire = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Sapphire = 1 },
		},
	},	
	TopazEstae = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Topaz Esate",
		CraftingTemplateFile = "ring_topaz_estate",
		Description = "Topaz Esates are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Topaz",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Topaz = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Topaz = 1 },
		},
	},		
	TopazSignet = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Topaz Signet",
		CraftingTemplateFile = "ring_topaz_signet",
		Description = "Topaz Signet are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Topaz",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Topaz = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Topaz = 1 },
		},
	},		
	TopazSideStone = 
	{
		MinLevelToCraft = 40,
		MaxLevelToGain = 70,
		DisplayName = "Topaz Sidestone",
		CraftingTemplateFile = "ring_topaz_side_stone",
		Description = "Topaz Side Stones are very sparkly to the eye.",
		ItemType = "ArmorClass",
		CanImprove = true,
		NeedRecipe = true,
		Category = "Jewelry",
		Subcategory = "Topaz",
		EnableCraftOrder = true,
		Resources = 
		{
			Iron = { Iron = 2, Topaz = 1 },
			EnchantedIron = { EnchantedIron = 2, Essence = 5, Topaz = 1 },
		},
	},
}

