require 'enchantedloot.helpers.equipmenttables'

function ProcessLootLevel(lootLevel, containerObj)

end

--- apply enchants from the crafting system
-- @param equipmentObject - the object that was just crafted
-- @param equipmentType - the objvar on the item either being WeaponType,ArmorType,ShieldType or JewelryType and is the string provided in the template
-- @param maxProperties - the maximum amount of properties to generate
function ApplyEquipmentProperties(equipmentObject,equipmentType,maxProperties)
	local enchants = {}
	local propertyCount = math.random(1,maxProperties)
	local propertiesAdded = 0
	-- max properties may not exceed the table length
	if(maxProperties > #ItemProperties[equipmentType]) then maxProperties = #ItemProperties[equipmentType] end
	-- crazy using while???? but its okay due to how generation works.
	while(propertiesAdded < propertyCount) do
		-- generate a fresh random table to use
		local randomTable = ItemProperties[equipmentType][math.random(1,#ItemProperties[equipmentType])]
		-- setup the random chance
		randomTable.Chance = randomTable.Chance or 100
		-- generate the value for our property
		randomTable.essenceModifier = math.random(randomTable.Min,randomTable.Max)	
		-- if this is the first enchant, then add it other wise check to see if we have it
		if(#enchants < 1) then
			--first enchant so place it
			table.insert(enchants,randomTable)
			propertiesAdded = propertiesAdded + 1
		else
			-- this variable allows us to have the generator try again if it does not meet
			-- the requirements below
			local canApplyEnchant = true
			for enchantIndex,enchantTable in ipairs(enchants) do
				-- do we have this enchant? if so dont add it
				if(randomTable.essenceName == enchantTable.essenceName) then
					canApplyEnchant = false
				end						
			end
			-- can we apply this enchant based on chance?
			if(math.random(1,100) >= randomTable.Chance) then canApplyEnchant = false end
			-- if we can apply it then do so
			if(canApplyEnchant==true) then
				table.insert(enchants,randomTable)
				propertiesAdded = propertiesAdded + 1
			end
		end
	end
	equipmentObject:SetObjVar("Enchants",enchants)
end