-- for this to work you need to include this file at the bottom of your scripts/scriptcommands.lua
function EditItem()
	this:RequestClientTargetGameObj(this, "requestTargetObject")
end

--- handles the targeting of the object, and applys the equipment editor script to it
RegisterEventHandler(EventType.ClientTargetGameObjResponse,"requestTargetObject",function(targetObj)
    if(targetObj == nil) then return end
    -- is this a valid piece of equipment such as armor, shields,jewelry or weapons then display the editor
    if(targetObj:HasObjVar("ArmorType") or targetObj:HasObjVar("ShieldType") or targetObj:HasObjVar("WeaponType") or targetObj:HasObjVar("JewelryType")) then
    	if not (targetObj:HasModule("equipment_editor.equipment_editor")) then
    		targetObj:AddModule("equipment_editor.equipment_editor")
    	end
    	targetObj:SendMessage("OpenForUser",this)
    	-- if this is a new object, make sure we remove the pickers for the old object
        this:CloseDynamicWindow("ColorEditorDynamicResponse")
    	this:CloseDynamicWindow("EssenceEditorDynamicResponse")
	else
		this:SystemMessage("[FF7700]This is not a valid item to edit, try targeting a piece of equipment")
		EditItem()
	end
end)

--- the command to edit equipment 
RegisterCommand{ Command="edititem",Category="GizmosTools", AccessLevel = AccessLevel.God, Func=EditItem, Usage="", Desc="opens up a item editor for that type of item" }


