require 'default:globals.helpers.craftingorders'
-- create a reward table
-- Teir# - the tier of the craft order
-- Min - the minimum amount of artisan tokens to generate
-- Max - the maximum amount of artisan tokens to generate
CraftOrderArtisanTokenRewards =
{
  Tier1 =  {Min=0,  Max=0},
  Tier2 =  {Min=0,  Max=2},
  Tier3 =  {Min=1,  Max=3},
  Tier4 =  {Min=1,  Max=4},
  Tier5 =  {Min=2,  Max=5},
  Tier6 =  {Min=4,  Max=8},
  Tier7 =  {Min=5,  Max=10},
  Tier8 =  {Min=10, Max=15},
  Tier9 =  {Min=15, Max=25},
  Tier10 = {Min=30, Max=60},
}

-- we still want to use this function but override it we can
-- create a copy to baseCraftingOrderRewards to preserve its
-- functionaility. We can call this function in our override
-- to complete the steps required by this function
baseCraftingOrderReward = CraftingOrderReward

---
-- @param (GameObject) user - the player turning in the craft order 
-- @param (GameObject) orderObj - the craft order object being turned in
-- @param (string) orderSkill - the skill table key for the crafting skill used to fill this order
-- @param (table) orderInfo -  a table containing order information
function CraftingOrderReward(user, orderObj, orderSkill, orderInfo)
  -- get the craft order tier
  local craftOrderTier = GetCraftOrderRewardTier(orderSkill, orderInfo)
  -- get the amount of artisan tokesn to reward the player with
  local rewardAmount = math.random(CraftOrderArtisanTokenRewards["Tier"..craftOrderTier].Min,CraftOrderArtisanTokenRewards["Tier"..craftOrderTier].Max)
  -- create the tokens in the players backpack or ground if they cant hold
  CreateObjInBackpackOrAtLocation(user,"artisan_token","RewardTokenGenerated",false,rewardAmount)
  -- let the player know they got some artisan tokens
  user:SystemMessage("you recieved " .. rewardAmount .. " Artisan Tokens as a part of your comission")
  
  -- this will run the rest of loa's function, we just wanted to use this as a point to inject artisan tokens
  baseCraftingOrderReward(user, orderObj, orderSkill, orderInfo)
end