require 'default:globals.helpers.enchanting'

EnchantingHelper.GetEnchantTooltip = function( essenseType, modifier )
    if( essenseType == nil ) then return "" end
    local data = EssenceData[essenseType]
    local tooltip = {}
    if( data ) then
        if( data.TooltipRanges ) then
            local set = false
            for i=1, #data.TooltipRanges do 
                --DebugMessage("MAX: ", data.TooltipRanges[i].Max, " Modifier: ", modifier)
                if( not set and data.TooltipRanges[i].Max >= modifier ) then
                    table.insert(tooltip, data.TooltipRanges[i].Tooltip )
                    set = true
                end
            end
            if( not set ) then
                table.insert(tooltip, data.TooltipRanges[#data.TooltipRanges].Tooltip )
            end
        else
            table.insert(tooltip, data.EffectName)
            table.insert(tooltip, " ")

            if( data.EffectMode == "percent" ) then
                table.insert(tooltip, "+")
                table.insert(tooltip, tostring(modifier))
                table.insert(tooltip, "%")                
            else
                table.insert(tooltip, "+")
                table.insert(tooltip, tostring(modifier))
            end

            
        end
    end
    
    return table.concat(tooltip)
end