require 'default:globals.mobile_effects.main'
require 'chaoszones.mobile_effects.main'

MobileEffectLibrary.WorldTools = 
{
	Colors = 
	{
		Background = 
		{
			Color = "250000",
		},
		Header = 
		{
			BackgroundColor = "450000",
			TextColor = "757535"
		},
		MenuButtons = 
		{
			ActiveColor = "00A500", 
			InactiveColor="551500",
			TooltipTitleColor = "CCCC00",
			TooltipDescriptionColor = "959555",
		},
	},
	CurrentTab = "Rotating",
    OnEnterState = function(self,root,target,args)
        self.ShowWorldToolsWindow(self, root)
        RegisterEventHandler(EventType.DynamicWindowResponse, "WorldToolsWindowHandle",function( user, id )
            self.HandleWindowResponse( user, id, self, root )
        end)
	end,
    OnExitState = function(self,root)
        UnregisterEventHandler("",EventType.DynamicWindowResponse,"WorldToolsWindowHandle")
    end,
    ShowWorldToolsWindow = function(self, root)
		local dynamicWindow = DynamicWindow("WorldToolsWindowHandle","",600,100,-300,100,"TransparentDraggable","Top")
	    --Create Background
	    dynamicWindow:AddImage(1,1,"HueSwatch",600,100,"Simple",self.Colors.Background.Color,0,0.8)
	    -- header background
	    dynamicWindow:AddImage(1,1,"HueSwatch",600,24,"Simple",self.Colors.Header.BackgroundColor,0,0.75)	

	    -- header title
	    dynamicWindow:AddLabel(300,5,"[" .. self.Colors.Header.TextColor .. "][b]World Tools[/b]",580,24,24,"center")
	    self.DrawCloseButton(581,3,dynamicWindow,self)

				
		if(self.CurrentTab == "Rotating") then
	    	dynamicWindow:AddImage(5,31,"Force Push 01",26,26,"Simple",self.Colors.MenuButtons.ActiveColor)
	    	-- draw sub buttons
	    else
	    	dynamicWindow:AddImage(5,31,"Force Push 01",26,26,"Simple",self.Colors.MenuButtons.InactiveColor)
	    end
	    dynamicWindow:AddButton(5,31,"SetTab|Rotating","",26,26,"[" .. self.Colors.MenuButtons.TooltipTitleColor .. "]Rotate Options\n[" .. self.Colors.MenuButtons.TooltipDescriptionColor .. "]clicking this will display the rotation options.","",false,"Invisible")

		if(self.CurrentTab == "Movement") then
	    	dynamicWindow:AddImage(36,31,"attack_target",26,26,"Simple",self.Colors.MenuButtons.ActiveColor)
	    	-- draw sub buttons
	    else
	    	dynamicWindow:AddImage(36,31,"attack_target",26,26,"Simple",self.Colors.MenuButtons.InactiveColor)
	    end
	    dynamicWindow:AddButton(36,31,"SetTab|Movement","",26,26,"[" .. self.Colors.MenuButtons.TooltipTitleColor .. "]Movement Options\n[" .. self.Colors.MenuButtons.TooltipDescriptionColor .. "]clicking this will display the movement options.","",false,"Invisible")

		self.ParentObj:OpenDynamicWindow(dynamicWindow) 
    end,
    HandleWindowResponse = function(user,buttonId,self,root )
        if(buttonId == nil or buttonId == "" or buttonId == "CloseButton") then 
            EndMobileEffect(root)
            return
        end
        local buttonInfo = StringSplit(buttonId,"|")
        if(#buttonInfo > 1) then
        	if(buttonInfo[1] == "SetTab") then
        		self.CurrentTab = buttonInfo[2]
        		self.ShowWorldToolsWindow(self,root)
        	end
        end
    end,
 	DrawCloseButton = function(x,y,dynamicWindow,self)
    	--invisible button
    	dynamicWindow:AddButton(x,y,"CloseButton","",18,18,"[" .. self.Colors.MenuButtons.TooltipTitleColor .. "]Close Button\n[" .. self.Colors.MenuButtons.TooltipDescriptionColor .. "]clicking this will close the world tools window.","",true,"Invisible")
    	--draw the "X" string
    	dynamicWindow:AddLabel(x+5,y+3,"[" .. self.Colors.MenuButtons.TooltipDescriptionColor .. "]X",18,18,18,"left")
	end   
}