require 'default:globals.static_data.quests'

AllQuests.PVPChallenges = 
{
    { -- 1
        Name = "Crushing Sprites",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            PVPTokens = 25,
            Key = "PVPChallenges1",
            Type = "Hunting",
            Region = "WaterfallMine",
            QuestArgs = 
            {
                { "rock_sprite" },
                true
            },
            Count = 40,
            Name = "Rock Sprite",
            NamePlural = "Rock Sprites",
        },
        Instructions = "Kill [F2F5A9]20 Rock Sprites[-] in the [F2F5A9]Misty Caverns[-].",
    },
    { -- 2
        Name = "Grinding Golems",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            PVPTokens = 25,
            Key = "PVPChallenges2",
            Type = "Hunting",
            Region = "WaterfallMine",
            QuestArgs = 
            {
                { "rock_golem" },
                true
            },
            Count = 40,
            Name = "Rock Golem",
            NamePlural = "Rock Golems",
        },
        Instructions = "Kill [F2F5A9]10 Rock Golems[-] in the [F2F5A9]Misty Caverns[-].",
    },
    { -- 3
        Name = "Dousing Golems",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            PVPTokens = 25,
            Key = "PVPChallenges3",
            Type = "Hunting",
            Region = "WaterfallMine",
            QuestArgs = 
            {
                { "lava_golem" },
                true
            },
            Count = 4,
            Name = "Lava Golem",
            NamePlural = "Lava Golems",
        },
        Instructions = "Kill a[F2F5A9]Lava Golem[-] in the [F2F5A9]Misty Caverns[-].",
    },
    { -- 4
        Name = "Rocks to Dust",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            PVPTokens = 75,
            Key = "PVPChallenges4",
            Type = "Hunting",
            Region = "WaterfallMine",
            QuestArgs = 
            {
                true,
                "Golem"
            },
            Count = 60,
            Name = "Golem",
            NamePlural = "Golems",
        },
        Instructions = "Kill [F2F5A9]40 golems[-] in the [F2F5A9]Misty Caverns[-].",
    },
    { -- 5
        Name = "A Mighty Harvest",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            PVPTokens = 100,
            Key = "PVPChallenges5",
            Type = "Gathering",
            Region = "WaterfallMine",
            QuestArgs = 
            {
                "Mining",
                { "IronOre", "CopperOre", "GoldOre", "CobaltOre", "ObsidianOre" }
            },
            Count = 200,
            Name = "Ore (PVP)",
            NamePlural = "Ore (PVP)",
        },
        Instructions = "Mine [F2F5A9]100 ore[-] from the [F2F5A9]Misty Caverns[-].",
    },
    { -- 6
        Name = "Not In My House!",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            PVPTokens = 50,
            Key = "PVPChallenges6",
            Type = "DynamicSpawn",
            Region = "WaterfallMine",
            QuestArgs = 
            {
                { "KilledMonster" }
            },
            Count = 60,
            Name = "Enemies Slain (PVP)",
            NamePlural = "Enemies Slain (PVP)",
        },
        Instructions = "Slay [F2F5A9]20 enemies[-] at a [F2F5A9]dynamic spawn[-] event in the [F2F5A9]Misty Caverns[-].",
    },
    { -- 7
        Name = "RUUUNN!",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            PVPTokens = 100,
            Key = "PVPChallenges7",
            Type = "DynamicSpawn",
            Region = "WaterfallMine",
            QuestArgs = 
            {
                { "KilledBoss" }
            },
            Count = 1,
            Name = "Bosses Slain (PVP)",
            NamePlural = "Bosses Slain (PVP)",
        },
        Instructions = "Slay a [F2F5A9]boss[-] at a [F2F5A9]dynamic spawn[-] event in the [F2F5A9]Misty Caverns[-].",
    },
}
