require 'default:hireling_merchant_sale_item'

function RemoveFromSale(buyer, toBank)
	
	this:DelObjVar("OriginalWeight")
	
	this:DelObjVar("itemOwner")
	this:DelObjVar("itemPrice")
	this:SetSharedObjectProperty("DenyPickup", false)
	this:DelObjVar("LockedDown")

	local merchant = GetMerchantOwner()
	if( merchant ) then
		local merchantSaleItem = merchant:GetObjVar("merchantSaleItem")
		if (merchant:GetObjVar("merchantSaleItem") ~= nil) then
			_merchantPlot = GetMerchantPlot(_merchantOwner)
			local saleCount = 1

			for key,value in pairs(merchantSaleItem) do
				if (value == this) then
					table.remove(merchantSaleItem, key)
				else
					if( value:TopmostContainer() == value or value:TopmostContainer() == nil ) then
						saleCount = saleCount + 1
					end
				end
			end
			merchant:SetObjVar("merchantSaleItem",merchantSaleItem)
			_merchantPlot:SetObjVar( "SaleCount", saleCount )
		end
	else
		LuaDebugCallStack("Tried to remove item ["..tostring(this.Id).."] from sale. But merchant is NIL!")
	end
	

	RemoveTooltipEntry(this,"item_price")

	RemoveUseCase(this,"Buy")
	ClearOverrideDefaultInteraction(this)
	--DebugMessage("Yes, exactly what you think is happening is happening.")
	RemoveUseCase(this,"Remove from Sale")	
	this:DelObjVar("NoReset")

	local stackCount = this:GetObjVar("StackCount") or 1
	if ( stackCount > 1 ) then
		AddUseCase(this,"Split Stack", false)
	end

	if(buyer ~= nil) then
		local backpackObj = buyer:GetEquippedObject("Backpack")
		local bankObj = buyer:GetEquippedObject("Bank")
		
		if( toBank and bankObj ) then

			local dropPos = GetRandomDropPosition(bankObj)
	        local success,reason = TryPutObjectInContainer(this, bankObj, dropPos, true)

		elseif(backpackObj) then
			-- See if adding this item will put the player overweight, if so warn them!
			local canAdd,weightCont,maxWeight = CanAddWeightToContainer(backpackObj,this:GetSharedObjectProperty("Weight") or -1)
			if not (canAdd) then
				buyer:SystemMessage("You purchase "..this:GetName().." and are [FF0000]overweight[-]!", 'info')
				buyer:SystemMessage("You purchase "..this:GetName().." and are [FF0000]overweight[-]!")
			end

			-- Place the item in their container, regardless of the weight limit of the backpack.
	        local dropPos = GetRandomDropPosition(backpackObj)
	        local success,reason = TryPutObjectInContainer(this, backpackObj, dropPos, true)

			-- The below won't be triggered as TryPutObjectInContainer() is being told to ignore weight
			--[[
			if not(success) then
	            buyer:SystemMessage(reason.." The item has fell to the ground.")
	            this:SetWorldPosition(buyer:GetLoc())
			end
			]]

	    else
	        this:SetWorldPosition(buyer:GetLoc())
	    end
	end

	local clusterController = GetClusterController()
	--FIX FOR MERCHANT REMOVE FROM SALE
	--clusterController:SendMessage("DoHttpRequest", ServerSettings.Bazaar.DelURL.."?data="..json.encode( { objectId = this.Id } ), uuid())

	this:DelObjVar("merchantOwner")

	this:DelModule("hireling_merchant_sale_item")
end

