require 'default:scriptcommands'
require 'equipment_editor.scriptcommands'
require 'tools.client_id_search'
require 'tools.clipboard_object'
require 'worldbuilder.worldbuilder_scriptcommands'
require 'tools.create_region'
require 'browsers.test_web_page_tool'
require 'tools.apply_effect_to_object'


GodCommandFuncs.WorldTools = function()
	this:SendMessage("StartMobileEffect", "WorldTools", this )	
end

function Rotate(...)
	local args = table.pack(...)	

	if( #args < 1 ) then 
		print("no args")
		return 
	end	

	local direction = args[1]
	local axis = args[2]
	local degree = args[3]

	if(direction ~= "cw" or direction ~= "CW" or direction ~="ccw" or direction ~= "CCW") then
		this:SystemMessage("direction must be cw or ccw")
		return
	end
	if(axis ~= "X" or axis ~= "Y" or axis ~= "Z" or axis ~= "x" or axis ~= "y" or axis ~= "z") then
		this:SystemMessage("axis must be x y z")
		return
	end
	this:SystemMessage(direction..axis..degree)
end

RegisterCommand { Command="worldtools",Category="GizmosTools",AccessLevel=AccessLevel.God,Func=GodCommandFuncs.WorldTools,Usage="worldtools", Desc="Opens a dynamic window for world building tools." }

RegisterCommand { Command="rotate",Category="WorldBuilding",AccessLevel=AccessLevel.God,Func=Rotate,Usage="rotatecw <degree>", Desc="Rotates the target object clockwise n degrees, or 6 degrees if no arguments are passed." }
