MobileEffectLibrary.Disenchanting = 
{
	OnEnterState = function(self,root,target,args)
		self.RequestInitialTarget(self,root,target,args)			
	end,
	RequestInitialTarget = function(self,root,target,args)
		RegisterSingleEventHandler(EventType.ClientTargetGameObjResponse, "DisenchantingMobileEffectTarget", function (targetObj,user)
			if ( targetObj and targetObj:HasObjVar("Enchants")) then
				self.ProcessDisenchant(self,root,targetObj)				
			else
				self.ParentObj:SystemMessage("you can not disenchant this object")
				EndMobileEffect(root)
			end
		end)
		RegisterSingleEventHandler(EventType.CreatedObject, "CreateDisenchantedItem", function (success,objRef,amount)
			if(objRef:HasModule("stackable")) then
				self.ParentObj:SystemMessage("Yup")
				local stackCount = objRef:GetObjVar("StackCount") or 1
				stackCount = stackCount + amount
				objRef:SetObjVar("StackCount",stackCount)
				TryStack(objRef, self.ParentObj:GetEquippedObject("Backpack"), false, true)
				self.ParentObj:SystemMessage("you salvaged " .. amount .. " " .. objRef:GetName(),"event")
			end
		end)		
		self.ParentObj:RequestClientTargetGameObj(self.ParentObj, "DisenchantingMobileEffectTarget")
	end,
	DetermineResourceAmount = function(self,root,target)
		local amountToGive = 0
		local craftSkillValue = 0
		local skillLevel = GetSkillLevel(self.ParentObj,"DisenchantingSkill")
		local propertyBonus = 0
		amountToGive = amountToGive + math.random(1,#target:GetObjVar("Enchants"))
		if(skillLevel >= 100) then amountToGive = amountToGive + 1 end	
		if(self.ParentObj:IsPlayer()) then
	        propertyBonus = GetCachedMobileModByName("SkillBonusDisenchanting",self.ParentObj) or 0
	    end
		return math.random(1 + propertyBonus, amountToGive + propertyBonus)
	end,
	ProcessDisenchant = function(self,root,target)	
		if(IsInBackpack(target,self.ParentObj)) then
			if(target) then
				-- update create method so resources stack in the backpack
				CheckSkillChance(self.ParentObj, "DisenchantingSkill", GetSkillLevel(self.ParentObj,"DisenchantingSkill"),SkillValueMinMax(GetSkillLevel(self.ParentObj,"DisenchantingSkill"), 0, 100))		
				local amountOfResources = self.DetermineResourceAmount(self,root,target)
				CreateObjInBackpackOrAtLocation(self.ParentObj, "resource_essence", "CreateDisenchantedItem",amountOfResources)				
				target:Destroy()
			else
				self.ParentObj:SystemMessage("this item can not be salvaged")
			end
		else
			self.ParentObj:SystemMessage("this item must be in your backpack to salvage")
		end
		--when done end it
		EndMobileEffect(root)
	end,
}