GodCommandFuncs.ViewClientIds = function()
	lines = {}
	-- the filter will search for string in the line
	-- 101	Prefabs/WorldObjects/Items/Equipment/LeatherChestObject
	-- this function will remove all string data of this line
	-- the output string will be 101 LeatherChestObject
	-- you can use Fixtures or Items or any key word
	-- it will parse the data and filter it alphabetical
	local filter = "Equipment"
	local outPutFile = "ClientEquipmentId.txt"

	-- read and format the itemid .. objectstring
	for line in io.lines("Build/base/ClientIdReference.txt") do 
		if string.find(line, filter) then
			local clientIdData = StringSplit(line,"\t")
			if(clientIdData[1] ~= nil and clientIdData[2] ~= nil) then
				local subData = StringSplit(clientIdData[2],"/")
				table.insert(lines,clientIdData[1].." "..subData[#subData])
			end
		end
	end	

	-- sort the table
	table.sort(lines,function (a,b)
		local aInfo = StringSplit(a," ")
		local bInfo = StringSplit(b," ")
		return aInfo[2] < bInfo[2]
	end)

	-- save the teable
	local file = io.open(outPutFile, 'w')
	for i,v in ipairs(lines) do
		file:write(v, '\n')
	end
	file:close()	
end

RegisterCommand { Command="viewclientids",Category="GizmosTools",AccessLevel=AccessLevel.God,Func=GodCommandFuncs.ViewClientIds,Usage="<clientids>", Desc="Opens up a dynamic window to view the client Ids." }
