--- this loads up the dynamic window for the user to interact with
-- @param self - the mobile effect table containing user and effect information
-- @param root -
MobileEffectLibrary.WorldBuilder.DisplayWorldBuilder = function(self, root)
	local dynamicWindow = DynamicWindow("WorldBuilderDynamicWindow","",600,100,-300,-50,"TransparentDraggable","Center")
    --Create Background
    dynamicWindow:AddImage(1,1,"HueSwatch",600,100,"Simple","000000",0,0.8)
    -- header background
    dynamicWindow:AddImage(1,1,"HueSwatch",600,24,"Simple","450000",0,0.75)	
    dynamicWindow:AddImage(-41,-1,"SpellFrame2",682,26,"Sliced","651500")	
    -- header title
    dynamicWindow:AddLabel(300,3,"[959555][World Builder]=>[" .. self.ParentObj:GetObjVar("WorldBuilder.CurrentGroup") .. "]",580,24,24,"center")
    
    -- create spawner button
    dynamicWindow:AddImage(10,35,"pet_summon",55,55,"Simple","959555",0,0.80)	
    dynamicWindow:AddImage(6,31,"SpellFrame2",63,63,"Simple","651500")	
    dynamicWindow:AddButton(6,31,"OpenSpawnerWizard","",63,63,"[FF7700]Spawner Wizard\n[FFFFAA]This opens up the Spawner Wizard, it will guide you through making the spawner and its selections.","",false,"Invisible")
    -- create portal button
    dynamicWindow:AddImage(79,35,"target_self",55,55,"Simple","959555",0,0.80)	
    dynamicWindow:AddImage(75,31,"SpellFrame2",63,63,"Simple","651500")	
    dynamicWindow:AddButton(75,31,"OpenPortalWizard","",63,63,"[FF7700]Portal Wizard\n[FFFFAA]This opens up the Portal Wizard, it will guide you through making the portal and its selections.","",false,"Invisible")
    -- create teleporter button
    dynamicWindow:AddImage(145,35,"teleport",55,55,"Simple","959555",0,0.80)	
    dynamicWindow:AddImage(141,31,"SpellFrame2",63,63,"Simple","651500")	
    dynamicWindow:AddButton(141,31,"OpenTeleporterWizard","",63,63,"[FF7700]Teleporter Wizard\n[FFFFAA]This opens up the Teleporter Wizard, it will guide you through making the teleporter and its selections.","",false,"Invisible")

    self.DrawCloseButton(581,3,dynamicWindow)
	self.ParentObj:OpenDynamicWindow(dynamicWindow)
end

--- this will draw the close button on a dynamic window
-- @param x - this is the x location to draw the close button at
-- @param y - this is the y location to draw the close button at
-- @param dynamicWindow - this is the dynamic window to attach the close button too
MobileEffectLibrary.WorldBuilder.DrawCloseButton = function(x,y,dynamicWindow)
    -- --border background color
    -- dynamicWindow:AddImage(x,y,"HueSwatch",18,18,"Sliced","555555")
    -- --background color
    -- dynamicWindow:AddImage(x+2,y+2,"HueSwatch",14,14,"Sliced","252525")
    --invisible button
    dynamicWindow:AddButton(x,y,"CloseButton","",18,18,"[CCCC00]Close Button\n[959555]clicking this will close the worldbuilder dynamic window.","",true,"Invisible")
    --draw the "X" string
    dynamicWindow:AddLabel(x+5,y+3,"[959555]X",18,18,18,"left")
end

