

--- the core override of the mobile effects OnEnterState
-- @param self - the mobile effect table containing user and effect information
-- @param root -
-- @param target - can be the user of the mobile effect, or the object that has the mobile effect
-- @param args - arguments passed to this mobile effect call
MobileEffectLibrary.WorldBuilder.OnEnterState = function(self,root,target,args)
	AddBuffIcon(self.ParentObj, "WorldBuilderActive", "World Builder", "skills", "While this is active world builder mod is running.")
	self.DisplayWorldBuilder(self,root)
	--- register your event handler for the dynamicwindow event
	-- @param user - User that has this event fired
	-- @param id - buttonId sent from the dynamic window event
    RegisterEventHandler(EventType.DynamicWindowResponse, "WorldBuilderDynamicWindow",function( user, id, textField )
        self.HandleDynamicWindowResponse( user, id, textField, self, root )
    end)
    RegisterEventHandler(EventType.DynamicWindowResponse, "WizardDynamicWindow",function( user, id, textField )
        self.HandleDynamicWindowWizardResponse( user, id, textField, self, root )
    end)  
end

--- the core override of the mobile effects OnExitState
-- @param self - the mobile effect table containing user and effect information
-- @param root -
-- @param target - can be the user of the mobile effect, or the object that has the mobile effect
-- @param args - arguments passed to this mobile effect call
MobileEffectLibrary.WorldBuilder.OnExitState = function(self,root,target,args)
	RemoveBuffIcon(self.ParentObj, "WorldBuilderActive")
	UnregisterEventHandler("",EventType.DynamicWindowResponse,"WorldBuilderDynamicWindow")
	UnregisterEventHandler("",EventType.DynamicWindowResponse,"WizardDynamicWindow")
	self.ParentObj:CloseDynamicWindow("WorldBuilderDynamicWindow")
	self.ParentObj:CloseDynamicWindow("WizardDynamicWindow")
end