SelectorsInformation = {}

SelectorsInformation.Mobiles = {}
-- SelectorsInformation.Doors = {}
-- SelectorsInformation.FurnitureTables = {}
-- SelectorsInformation.FurnitureChair = {}
-- SelectorsInformation.FurnitureContainers = {}
-- SelectorsInformation.Lighting = {}
-- SelectorsInformation.BanditFort = {}
-- SelectorsInformation.Campfires = {}

-- each selector has a subcategory table
SelectorsInformation.Mobiles.GoblinCategoryKey =
{
	Name = "Goblins", -- display name for scrollwindow list button
	Templates =
	{
		-- Name display name for scrollwindow list button
		-- Template the template to send back to the caller object
		Goblin = {Name="Goblin", Template="goblin"},
		GoblinMage = {Name="Goblin Mage", Template="goblin"},
		GoblinWarrior = {Name="Goblin Warrior", Template="goblin"},
	}
}

--[[

----------------------------------------------------------------------
Things to be placed in the world for seedobjects.xml
----------------------------------------------------------------------

A group element stores dynamicobject elements. These dynamicobjects
will be in the form of the following. Each object will have a walk
through wizard to set up the variables on it. These objects will
be stored in a table on your character for future use when working
on slightly bigger projects. When you are done with your group,
you will be able to click the CLIP button then paste the whole
formatted group at once instead of in tiny pieces like the current
CLIP command.

Below are a list of objects this system will focus on with in game
editors and selectors to speed up the process and improve accuracy
so you do not have to look up typos or missing commas and other
tedious errors that come along with adding things to the game.

----------------------------------------------------------------------
Every Region should have ...
----------------------------------------------------------------------
start_position.xml
	1) objvars needed
		a) - standard rotation, location, scale and template

----------------------------------------------------------------------
Supported Objects you can find in any region
----------------------------------------------------------------------
simple_mob_spawner.xml
	1) objvars needed
		a) minimum objvars
			1) spawnTemplate
		b) optional objvars
			1) spawnDelay
			2) spawnRadius
			3) spawnCount
	2) wizard opperation
		a) give player target icon for location to place spawner
		b) when spawner is placed load up spawner placement wizard
		c) wizard steps
			1) select a template from a template selector window. Or
			   you can enter a template name manually in a text field.
			2) enter in a spawn radius, default set to 1. if set to 1
			   then do not write a objvar in the dynamicobjects element.
			3) enter in the spawn delay in seconds. default set to 300
			   or five minutes. if left at default do not write a objvar
			   in the dynamic element.
			4) enter in the spawn amount, default set to 1 if set to 1
			   then do not write the objvar in the dynamicobjects element
			5) show verification of all information entered, giving the
			   user a choice to save to group.

dungeon_teleporter.xml

region_teleporter.xml

red_portal.xml

blue_portal.xml

----------------------------------------------------------------------
Unsupported Templates will get the standard template xyz rotation scale
----------------------------------------------------------------------

]]

MobileEffectLibrary.WorldBuilder.GetSpawnerTable = function()
	local spawnerTable =
	{
		WizardStep = 1,
		Location = nil,
		Rotation = nil,
		Scale = nil,
		SpawnTemplate = "",
		SpawnRadius = 1,
		SpawnAmount = 1,
		SpawnDelay = 500,
	}
	return spawnerTable
end